# The following should match PROGRAM, VERSION and RELEASE in the
# Makefile accompanying this program (and the .tgz defined in Source
# below.

%define builddir $RPM_BUILD_DIR/%{name}-%{version}.%{release}

Summary: A perl script wrapper for wulflogger for building html tables

Name: wulfweb
Version: 0.0.2
Release: 1
Group: Applications/System
Copyright: Open Source (GPL v2b)
Source: %{name}.tgz
Requires: wulflogger > 0.1.3
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description 
Wulfweb is a kit consisting of several perl scripts and other tools
based on wulflogger that take wulflogger output for a given cluster
and present it as an html table of results.  Ordinarily this table will
be included in a web page with a meta tag (template included) that
causes it to be automatically refreshed every five to ten seconds.  This
basically permits a wulfstat-like display to be presented to any web
browser.

%prep
%setup -q -n %{name}

%build
make clean
make

%install
make PREFIX=%{buildroot}/usr install

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%files 
%defattr(-,root,root)
# The wulfstat binary
%attr(755,root,root) /usr/bin/wulfweb
# The wulfstat man page
%attr(644,root,root) /usr/share/man/man1/wulfweb.1.gz

# The wulfstat docs (not much here, actually)
%doc README COPYING header.html

%changelog
* Mon Mar 22 2004 Robert G. Brown <rgb@duke.edu>
- set up and built for RH 9
